/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package helloworld;

import junit.framework.Assert;

import org.apache.tuscany.sca.node.Node;
import org.apache.tuscany.sca.node.NodeFactory;
import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 * Tests the BPEL service
 * 
 * @version $Rev: 783998 $ $Date: 2009-06-12 07:40:25 +0100 (Fri, 12 Jun 2009) $
 */
public class BPELHelloWorldTestCase {

    private static Node node;
    private static Hello bpelService;
    
    /**
     * @throws java.lang.Exception
     */
    @BeforeClass
    public static void setUp() throws Exception {
        
        node = NodeFactory.newInstance().createNode();
        node.start();
        
        bpelService = node.getService(Hello.class, "BPELHelloWorldComponent");
    }

    /**
     * @throws java.lang.Exception
     */
    @AfterClass
    public static void tearDown() throws Exception {
        node.stop();
    }
    
    @Test
    public void testInvoke() throws Exception {
        String response = bpelService.hello("Hello");
        Assert.assertEquals("Hello World", response);
    }
}
